diff --git a/requirements.txt b/requirements.txt
index 2e486f3..ef0936d 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -43,3 +43,4 @@ WTForms==2.0.2
 backports.csv==1.0.4; python_version <= '2.7'
 Flask-Paranoid==0.1.0
 Flask-Script==2.0.5; python_version < '2.7'
+pycodestyle==2.3.1
diff --git a/web/.pycodestyle b/web/.pycodestyle
new file mode 100644
index 0000000..922c33d
--- /dev/null
+++ b/web/.pycodestyle
@@ -0,0 +1,8 @@
+[pycodestyle]
+ignore = E402
+max-line-length = 79
+statistics = True
+show-source = True
+show-pep8 = True
+count = True
+format = pylint
diff --git a/web/package.json b/web/package.json
index 43f96ca..8542797 100644
--- a/web/package.json
+++ b/web/package.json
@@ -95,6 +95,7 @@
     "test:karma-once": "yarn run linter && yarn run karma start --single-run",
     "test:karma": "yarn run linter && yarn run karma start",
     "test:feature": "yarn run bundle && python regression/runtests.py --pkg feature_tests",
-    "test": "yarn run test:karma-once && yarn run bundle && python regression/runtests.py"
+    "test": "yarn run test:karma-once && yarn run bundle && python regression/runtests.py",
+    "pep8": "pycodestyle --config=.pycodestyle ."
   }
 }
